Subject: bug#23590: 25.0.94; Errors in default lgrep command

From: Alex <[email-masked]>
Date: Sat, 23 Jul 2016 11:11:36 -0600

John Mastro <[email-masked]> writes:

> (with-eval-after-load 'grep
>   (grep-apply-setting
>    'grep-template
>    "setopt null_glob; grep <X> <C> -n -e <R> <F>"))

> GNU Grep has an option (-d ACTION or --directories=ACTION) that can be
> used to skip over directories (with "skip" as the ACTION), but it's not
> in POSIX so I doubt we can use it in Emacs. If you know it will be
> available on your system(s), you could add it to your `grep-template'
> using the same technique as above.

Thanks, these workarounds work exactly as you said. It does seem that
outside of setting null_glob somewhere, there isn't a way to get zsh to
behave correctly.